Package com.independentsoft.calc.functions

# Class Fx

java.lang.Object
com.independentsoft.calc.functions.Fx

public final class Fx extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CalcValue`
  `collectNumbers​(CalcValue[] args, EvalContext ctx, AggMode mode, List<Double> into)`
  `static CalcValue`
  `criteriaLoop​(CalcValue rangeArg, CalcValue criterionArg, CalcValue targetArg, EvalContext ctx, MatchAction onMatch)`
  `static CalcValue`
  `criteriaLoopMulti​(CalcValue targetArg, CalcValue[] args, int pairStart, EvalContext ctx, MatchAction onMatch)`
  `static CalcValue`
  `forEachCellInArea​(Area raw, EvalContext ctx, boolean skipBlanks, ValueVisitor visitor)`
  `static CalcValue`
  `forEachValue​(CalcValue arg, EvalContext ctx, boolean skipBlanks, ValueVisitor visitor)`
  `static CalcValue`
  `intOpt​(CalcValue arg, EvalContext ctx, int defaultValue, OutInt value)`
  `static CalcValue`
  `intVal​(CalcValue arg, EvalContext ctx, OutInt value)`
  `static CalcValue`
  `liftCriteria​(CalcValue critArg, EvalContext ctx, Function<CalcValue,​CalcValue> scalarImpl)`
  `static CalcValue`
  `logical​(CalcValue arg, EvalContext ctx, OutBool value)`
  `static CalcValue`
  `logicalOpt​(CalcValue arg, EvalContext ctx, boolean defaultValue, OutBool value)`
  `static CalcValue`
  `matrix​(CalcValue arg, EvalContext ctx, Out<CalcValue[][]> matrix)`
  `static CalcValue`
  `number​(CalcValue arg, EvalContext ctx, OutDouble value)`
  `static CalcValue`
  `numberFromValue​(CalcValue v, EvalContext ctx, OutDouble d)`
  `static CalcValue`
  `numberOpt​(CalcValue arg, EvalContext ctx, double defaultValue, OutDouble value)`
  `static CalcValue`
  `scalar​(CalcValue arg, EvalContext ctx)`
  `static CalcValue`
  `text​(CalcValue arg, EvalContext ctx, Out<String> value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### scalar

    public static CalcValue scalar​(CalcValue arg, EvalContext ctx)

  - ### number

    public static CalcValue number​(CalcValue arg, EvalContext ctx, OutDouble value)

  - ### numberOpt

    public static CalcValue numberOpt​(CalcValue arg, EvalContext ctx, double defaultValue, OutDouble value)

  - ### intVal

    public static CalcValue intVal​(CalcValue arg, EvalContext ctx, OutInt value)

  - ### intOpt

    public static CalcValue intOpt​(CalcValue arg, EvalContext ctx, int defaultValue, OutInt value)

  - ### text

    public static CalcValue text​(CalcValue arg, EvalContext ctx, Out<String> value)

  - ### logical

    public static CalcValue logical​(CalcValue arg, EvalContext ctx, OutBool value)

  - ### logicalOpt

    public static CalcValue logicalOpt​(CalcValue arg, EvalContext ctx, boolean defaultValue, OutBool value)

  - ### matrix

    public static CalcValue matrix​(CalcValue arg, EvalContext ctx, Out<CalcValue[][]> matrix)

  - ### forEachValue

    public static CalcValue forEachValue​(CalcValue arg, EvalContext ctx, boolean skipBlanks, ValueVisitor visitor)

  - ### forEachCellInArea

    public static CalcValue forEachCellInArea​(Area raw, EvalContext ctx, boolean skipBlanks, ValueVisitor visitor)

  - ### collectNumbers

    public static CalcValue collectNumbers​(CalcValue[] args, EvalContext ctx, AggMode mode, List<Double> into)

  - ### criteriaLoop

    public static CalcValue criteriaLoop​(CalcValue rangeArg, CalcValue criterionArg, CalcValue targetArg, EvalContext ctx, MatchAction onMatch)

  - ### criteriaLoopMulti

    public static CalcValue criteriaLoopMulti​(CalcValue targetArg, CalcValue[] args, int pairStart, EvalContext ctx, MatchAction onMatch)

  - ### liftCriteria

    public static CalcValue liftCriteria​(CalcValue critArg, EvalContext ctx, Function<CalcValue,​CalcValue> scalarImpl)

  - ### numberFromValue

    public static CalcValue numberFromValue​(CalcValue v, EvalContext ctx, OutDouble d)